<script>
import Vue from 'vue';

export default Vue.extend({
  name: 'Decoration',
});
</script>

<template>
  <div class="city__decoration">
    <div class="city__decoration-container">
      <div class="city__decoration-container__icon-group">
        <div class="city__decoration-container__icon-group-wrapper">
          <SlpIcon
            class="city__decoration-container__icon-group__icon"
            name="chevron-lg-right"
            variant="product"
            size="xl"
          />
          <SlpIcon
            class="city__decoration-container__icon-group__icon"
            name="chevron-lg-right"
            variant="product"
            size="xl"
          />
          <SlpIcon
            class="city__decoration-container__icon-group__icon"
            name="chevron-lg-right"
            variant="product"
            size="xl"
          />
        </div>
      </div>
      <div class="city__decoration-dev city__decoration-pill">DevSecOps</div>
      <div class="city__decoration-icon">
        <SlpIcon class="" name="globe" variant="marketing" size="xl" />
      </div>
      <div class="city__decoration-world city__decoration-pill">World Tour</div>
    </div>
  </div>
</template>

<style lang="scss" scoped>
.city {
  &__decoration {
    margin: 80px auto;
    padding: 30px 0;

    position: relative;
    @media (min-width: $breakpoint-md) {
      padding: 50px 0;
    }
  }
  &__decoration-container__icon-group {
    position: absolute;
    border-top: 6px solid #7759c2;
    border-bottom: 6px solid #7759c2;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0.2;
    &::before {
      content: '';
      height: 6px;
      background-color: #7759c2;
      width: 100%;
      position: absolute;
      top: 50%;
      transform: translateY(-50%);
    }
  }
  &__decoration-container__icon-group-wrapper {
    max-width: 820px;
    margin: 0 auto;
    position: relative;
    width: 100%;
    height: 100%;
    & > :nth-child(1) {
      top: -3px;
      transform: translateY(-50%);
    }
    & > :nth-child(2) {
      top: 50%;
      transform: translateY(-50%);
      right: 0;
    }
    & > :nth-child(3) {
      bottom: -3px;
      transform: translateY(50%);
      left: 50%;
    }
  }
  &__decoration-container__icon-group__icon {
    color: #7759c2;
    position: absolute;
    height: 50px !important;
    width: 50px !important;
  }
  &__decoration-container {
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: center;
  }
  &__decoration-icon {
    background-color: #fdf1dd;
    border-radius: 100%;
    display: flex;
    height: 63px;
    width: 63px;
    color: #2f2a6b;
    align-items: center;
    justify-content: center;
    margin: 0 12px;
    position: relative;
    :deep {
      svg,
      div {
        height: 100% !important;
        width: 100% !important;
      }
      .slp-icon {
        height: 51px !important;
        width: 51px !important;
      }
    }
  }
  &__decoration-dev {
    background-color: #2f2a6b;
  }
  &__decoration-world {
    background-color: #7759c2;
  }
  &__decoration-pill {
    padding: 14px;
    border-radius: 32px;
    position: relative;
    font-size: 16px;
    color: #fff;
    font-style: normal;
    font-weight: 800;
    letter-spacing: -0.88px;
    line-height: 1;
    @media (min-width: $breakpoint-sm) {
      font-size: 24px;
      padding: 14px 24px;
    }
    @media (min-width: $breakpoint-md) {
      font-size: 28px;
    }
  }
}
</style>
